update-rt-siteconfig-4(8)

NAME
update-rt-siteconfig-4 - update the Request Tracker configuration file

SYNOPSIS
update-rt-siteconfig-4

DESCRIPTION
This program will generate the main Request Tracker configuration file, /etc/request-tracker4/RT_SiteConfig.pm, by concatenating configuration snippets in the directory /etc/request-tracker4/RT_SiteConfig.d/. The resulting file is managed with ucf, so that local modifications are not overwritten without permission from the user. The program ignores configuration snippets named *.dpkg-* and *.ucf-*, which are standard names for special files managed by dpkg and ucf. If the resulting file already exists, the program will not modify its owner or permission bits. If it does not exist yet, it will be created with permissions 0600.

OPTIONS
No options are currently supported.

FILES
/etc/request-tracker4/RT_SiteConfig.d/ - directory for configuration file snippets
/etc/request-tracker4/RT_SiteConfig.pm - the actual configuration file

BUGS
None known.

SEE ALSO
ucf(1) , dpkg(1)

AUTHOR
Niko Tyni <ntyni@iki.fi>
This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version. You may also redistribute it and/or modify it under the terms of the Perl Artistic License.